#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@文件    :resourcePath.py
@时间    :2021/12/09 13:49:58
@作者    :None
@版本    :1.0
@说明    :资源文件路径配置
'''


from os import path
import sys
from sys import path as spath


def resource_path(relative_path):
    try:
        base_path = sys._MEIPASS
    except Exception:
        base_path = path.abspath(".")
    return path.join(base_path, relative_path)


def resource_path_extend(relative_path):
    spath.append(path.abspath(relative_path))
    print(sys.path)
